<style lang="less">
@import '@/assets/css/vars.less';
.SiteFooter {
    background-color: @color-darkblue;

    & > div {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        gap: 2rem 2.5rem;
        padding: 4.6875rem 0 3.5rem;
    }

    &-left,
    &-right {
        // outline: 1px solid cyan;
        // outline-offset: -1px;
        max-width: 540px;
    }

    &, a[href] {
        color: white;
        text-decoration: none;
    }

    strong {
        display: block;
        font-size: 1.75rem;
        font-weight: 400;
        margin: 0 0 1.25rem;
    }

    &__address {
        margin: 1.75rem 0 0;
        font-size: 24px;
    }

    &__links {
        display: flex;
        flex-flow: row nowrap;
        margin: 100px 0 0;
        & > a {
            box-sizing: border-box;
            padding: 5px 0 0;
            font-size: 45px;
            line-height: 80px;
            text-decoration: none;
            text-align: center;
            border-radius: 50%;
            color: white;
            border: 1px solid transparent;
            height: 90px;
            width: 90px;
            margin: 0 0 0 30px;
            &:first-of-type {margin-left: 0}
            &.icon-instagram {padding-top: 6px}
            &.icon-facebook {padding: 6px 3px 0 0}
            &.icon-linkedin {padding: 3px 0 0px 2px}

            transition: ease border .25s;
            &:hover {
                background-color: rgba(255, 255, 255, .05);
                border-color: rgba(255, 255, 255, .33)
            }
        }
    }

    &__nav {
        // background: blue;
        list-style: none;
        margin: 0;
        padding: 0;
        display: grid;
        grid-template-columns: auto 1fr;
        gap: .875rem 2rem;
        li {
            // background: darkblue;
            box-sizing: border-box;
            padding: 0 .5rem 0 0;
            margin: 0 0;
            flex: 0 1 50%;
        }
    }

    &__nav2 {
        margin: 0;
        padding: 0;
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        list-style: none;
        li {
            box-sizing: border-box;
            padding: 0 .5rem 0 0;
            margin: .875rem 0 0;
            flex: 0 1 50%;
        }
    }

    &Copy {
        font-size: 25px;
        font-weight: 400;
        background-color: rgb(0, 27, 61);
        color: whitesmoke;
        & > div {
            padding: 2.5rem 0;
        }
    }

}
</style>

<template>
<footer class="section SiteFooter">
    <div>
        <div class="SiteFooter-left">

            <strong>Longevity Scientific Resort</strong>
            <ul class="SiteFooter__nav">
                <li v-for='link, k in navLinks' :key='k'>
                    <a :href='link.href'>{{link.label}}</a>
                </li>
            </ul>
        </div>

        <div class="SiteFooter-right">

            <strong>GET IN TOUCH</strong>
            <div class="SiteFooter__address">
                <div itemscope itemtype="https://schema.org/Organization">
                    <span itemprop="name">InTime BioTech LLC. DBA Longevity InTime</span>
                    <div itemprop="address" itemscope itemtype="https://schema.org/PostalAddress">
                        <span itemprop="streetAddress">300 Delaware Avenue, Suite 210-A, Wilmington, Delaware</span>,
                        <span itemprop="postalCode">19801</span>,&nbsp;<span itemprop="addressLocality">USA</span>
                    </div>
                </div>
            </div>

            <div class="SiteFooter__links">
                <a class="icon-facebook" aria-label="Facebook" href="#"/>
                <a class="icon-instagram" aria-label="Instagram" href="#"/>
                <a class="icon-linkedin" aria-label="Linkedin" href="#"/>
                <a class="icon-twitter" aria-label="Twitter" href="#"/>
            </div>

        </div>
    </div>
</footer>

<div class="section SiteFooterCopy">
    <div>Copyright &copy; {{new Date().getFullYear()}}, Longevity Scientific Resort</div>
</div>
</template>

<script lang="ts">
import {Vue, Options} from '@/vue';
@Options<SiteFooter>({})
export default class SiteFooter extends Vue {
    navLinks = [
        {label:'Home', href: '#'},
        {label:'Advantages', href: '#'},
        {label:'About Us', href: '#'},
        {label:'Possible Risks', href: '#'},
        {label:'Services', href: '#'},
        {label:'Roadmap', href: '#'},
        {label:'Locations', href: '#'},
    ]
}
</script>
